Package com.collibra.dgc.core.api.dto.workflow

# Class ChangeDomainTypeAssignmentRuleRequest.Builder

Object
Builder

Enclosing class:
  `ChangeDomainTypeAssignmentRuleRequest`

public static final class ChangeDomainTypeAssignmentRuleRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeDomainTypeAssignmentRuleRequest`
  `build()`
  `ChangeDomainTypeAssignmentRuleRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ChangeDomainTypeAssignmentRuleRequest.Builder`
  `communityId(UUID communityId)`
  The ID of the community the assignment rule should apply for.
  `ChangeDomainTypeAssignmentRuleRequest.Builder`
  `domainTypeId(UUID domainTypeId)`
  Required. The ID of the domain type the changed rule should refer to.
  `ChangeDomainTypeAssignmentRuleRequest.Builder`
  `exactResourceTypeMatch(Boolean exactResourceTypeMatch)`
  When true, the workflow can only be started for a domain if its type matches exactly the domain type defined in this rule.
  `ChangeDomainTypeAssignmentRuleRequest.Builder`
  `ruleId(UUID ruleId)`
  Required. The ID of the domain type assignment rule.
  `String`
  `toString()`
  `ChangeDomainTypeAssignmentRuleRequest.Builder`
  `workflowDefinitionId(UUID workflowDefinitionId)`
  Required. The ID of the workflow definition containing the assignment rule to be changed.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public ChangeDomainTypeAssignmentRuleRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ChangeDomainTypeAssignmentRuleRequest.builder()`
    Clone method for this Builder.

  - ### workflowDefinitionId

    public ChangeDomainTypeAssignmentRuleRequest.Builder workflowDefinitionId(UUID workflowDefinitionId)
    Required. The ID of the workflow definition containing the assignment rule to be changed. Silently ignored if the ID is provided as path parameter of the request.
    Returns:
      `this`.

  - ### ruleId

    public ChangeDomainTypeAssignmentRuleRequest.Builder ruleId(UUID ruleId)
    Required. The ID of the domain type assignment rule. Silently ignored if the ID is provided as path parameter of the request.
    Returns:
      `this`.

  - ### domainTypeId

    public ChangeDomainTypeAssignmentRuleRequest.Builder domainTypeId(UUID domainTypeId)
    Required. The ID of the domain type the changed rule should refer to.
    Returns:
      `this`.

  - ### communityId

    public ChangeDomainTypeAssignmentRuleRequest.Builder communityId(UUID communityId)
    The ID of the community the assignment rule should apply for.
    Returns:
      `this`.

  - ### exactResourceTypeMatch

    public ChangeDomainTypeAssignmentRuleRequest.Builder exactResourceTypeMatch(Boolean exactResourceTypeMatch)
    When true, the workflow can only be started for a domain if its type matches exactly the domain type defined in this rule. Child domain types are excluded.
    Returns:
      `this`.

  - ### build

    public ChangeDomainTypeAssignmentRuleRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`